package dev.w9r.config

import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.runApplication
import org.springframework.cloud.config.server.EnableConfigServer

/**
 * The ConfigApplication class is the entry point for the configuration server application.
 *
 *
 *
 * This class is annotated with `@SpringBootApplication` which indicates that it is a Spring Boot application and
 * enables auto-configuration. The `@EnableConfigServer` annotation is used to enable the configuration server
 * functionality.
 *
 *
 */
@SpringBootApplication
@EnableConfigServer
class ConfigApplication

fun main(args: Array<String>) {
        runApplication<ConfigApplication>(*args)
}
